Jump to content
progroman

[Поддержка] GeoIp Pro (группы покупателей, разные цены для городов)

Recommended Posts

Что может означать ошибка:

PHP Warning:  Cannot modify header information - headers already sent by (output started at /system/library/progroman/citymanager/driver/sxgeo.php:166)

Share this post


Link to post
Share on other sites

Добрый день. Делаем сайт на мир ( США,  Британия, Австралия) . У вас в базе есть там города и регионы или только СНГ?

Share this post


Link to post
Share on other sites
On 7/15/2019 at 12:51 PM, Arcus said:

Пытаюсь через геосообщение в разделе Контакты выводить расположение офисов в каждом городе. Делаю через Яндекс.Карты. Но пока не получается. Насколько я понимаю, геосообщение не позволяет через себя выводить скрипты.

Как можно реализовать такой функцоинал?

 

Как вариант - поместить скрипт каждой карты в отдельный .js файл, подключить в шаблоне контактов

 

<script src="/catalog/view/javascript/map_<?= $progroman_citymanager->getMessage('js', 'moskva'); ?>.js" type="text/javascript"></script>

moskva - значение для региона Москва (например).

Share this post


Link to post
Share on other sites

Добрый день

"Разные цены для городов", не понимаю о каких ценах идет речь?

Share this post


Link to post
Share on other sites
45 минут назад, knopic сказал:

Добрый день

"Разные цены для городов", не понимаю о каких ценах идет речь?

вопрос снят, разобрались

Share this post


Link to post
Share on other sites
Posted (edited)

@progroman Приветствую. Купили ваш модуль, установили. Все вроде нормально. Но не показывается сообщение об определении города. 

 

Версия 7.3

 

В настройках все выставлено. 

Сайт: http://www.iqsklad.ru

Edited by iqsklad

Share this post


Link to post
Share on other sites

Добрый день,

Симпла использует вашу базу. Проблема с ручным вписыванием федеральных городов - не подставляет автоматом регион. Если ввести Новосибирск и кликнуть на него - изменит регион на Новосибирская область. А если Вписать Москва/Санкт-Петербург/Севастополь, то регион не выбирается.

Подскажите пожалуйста как исправить.

Share this post


Link to post
Share on other sites

Добрый день, написал в личку, нужны файлы под 7,0 PHP, поставил, есть проблема и с ионкубом

Share this post


Link to post
Share on other sites
Posted (edited)
34 минуты назад, rassigor сказал:

Добрый день, написал в личку, нужны файлы под 7,0 PHP, поставил, есть проблема и с ионкубом

В итоге все заработало но косанул я сам. Предистория. 

Стоит Модуль Симпла, в ней можно писать город и будет подтягиваться база 

 

image.png.96003801570dc5a49043a1d8777edf44.png

Это работало и с 6 версией, но была проблема город

 

Выбираешь и область остается старая, мог быть город Омск, а область Сахалинская)) 

 

Читаю сообщение на форуме что вышла версия 7.3, где поправили интеграцию с симплой, при выборе города область сама ставиться. Ну ок, побежал ставить. 

Обновил, все упало, я побег автору жаловаться, на форуме писать. Время ночь, автор спит, голову включил. 

Читаю ФАК 

 

https://opencartforum.com/files/tutorials/181-{%3F}/

 

До версии 6.0

  Скрыть контент

Для обновления необходимо удалить старую версию:

  1. Отключите модуль в админке
  2. Удалите модификаторы
  3. Уберите правки из index.php (или system/config/catalog.php для OC 2.2 и выше)
  4. Удалите файлы:
  • admin/controller/module/geoip.php
  • admin/language/russian/module/geoip.php
  • admin/language/english/module/geoip.php
  • admin/model/module/geoip.php
  • admin/view/template/module/geoip/ (всю папку)
  • admin/view/template/module/geoip.tpl
  • catalog/controller/module/geoip.php
  • catalog/language/russian/module/geoip.php
  • catalog/language/english/module/geoip.php
  • catalog/model/module/geoip.php
  • catalog/view/theme/default/template/module/geoip/ (всю папку)
  • catalog/view/theme/default/template/module/geoip.tpl
  • catalog/view/theme/default/stylesheet/geoip.css
  • catalog/view/javascript/jquery/jquery.geoip-module.js
  • system/library/geoip/ (всю папку)
  • system/library/geoip.php

 

Установите новую версию. Таблицы в базе данные: geoip_city, geoip_currency, geoip_redirect, geoip_rule больше не нужны, можете удалить их вручную, установщик скопировал данные из них в новые таблицы.

 

До более поздних версий

  Скрыть контент
  1. Отключите модуль в списке модулей в админке
  2. Уберите правки из index.php, если они были при установке, см. инструкцию по установке старой версии. Или сделайте поиск по файлу строчки с "progroman" и удалите ее
  3. Удалите модификаторы
  4. Установите новую версию по инструкции
  5. Включите модуль

 

 

 

Edited by rassigor

Share this post


Link to post
Share on other sites
Posted (edited)

У меня версия более 6, начинаю делать по инструкции,  1 2 3 4 5

 

Далее захожу в индекс  (у меня 2.1)

 

комментирую вот это //\progroman\Startup\Loaders\CityManager::run($registry);
$loader->controller('module/progroman/city_manager/startup'); - дописываю вот это 

 

И вуаля все обновилось, все работает. 

Вообшем кто будет обновляться, читайте инструкцию по обновлению. 

 

Теперь все вот так 

 

image.thumb.png.7e767526d4bc44ca810ff9b92104bac4.png

 

 

 

Edited by rassigor

Share this post


Link to post
Share on other sites

Добрый день!

Добавил код в шапку сайта, все работает. Но как сделать всплывающее сообщение адаптивным? На мобильном часть сообщения выезжает за границы экрана и появляется скроллинг по горизонтали.

Share this post


Link to post
Share on other sites

Добрый день!

 

Как получить версию для php 7.2?

Share this post


Link to post
Share on other sites

Здравствуйте всем, подскажите, есть необходимость в title товара вставлять геосообщение, каким образом можно это реализовать? ocstore 23

Share this post


Link to post
Share on other sites

В последней версии нужно отметить "Включить замену в title, keywords, description" и в title добавить %MSG_key%, где key - ключ геосообщения.

  • +1 1

Share this post


Link to post
Share on other sites
22 часа назад, gregoro сказал:

Добрый день!

 

Как получить версию для php 7.2?

 

С версии модуля 7.2 поддерживается по-умолчанию, дополнительно скачивать ничего не нужно.

Share this post


Link to post
Share on other sites
2 часа назад, progroman сказал:

В последней версии нужно отметить "Включить замену в title, keywords, description" и в title добавить %MSG_key%, где key - ключ геосообщения.

 

спасибо, видел про эту галочку в настройках и уверенно забыл о ней)) разобрался!

Share this post


Link to post
Share on other sites
Posted (edited)

1. Не определяет Калугу. У всех так? или у меня проблема только. Совпадений пишет не найдено. Уже разбомбили ее? я просто не в курсе.

2. У вас в FAQ есть "Как отключить попап "Угадали город". А как его включить? Он не отображается на сайте. Кеш отключен.

 

 

Edited by Sedoirus

Share this post


Link to post
Share on other sites

Добрый день,

После обновления на 7.3.2 с 7.3 сообщение Угадали выводится на английском. Почему?

2019-08-27_120550.png

Share this post


Link to post
Share on other sites

Добрый день!

 

У вас в описании указано, что в версии 7.3 улучшена работа с поддоменами.

 

А в чем улучшение?

У меня 7.2. стоит, но некоторые файлы под себя докручивали - обновление может быть геморным.

Демку посмотрел - там вообще старая версия висит у вас

Share this post


Link to post
Share on other sites

Если у вас редиректы на поддомены нормально работают, то можно и не обновляться.

Демку буду переделывать, чтобы поддомены работали и редиректы, поэтому и не обновляю. Руки только не доходят до нее.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
You are posting as a guest. If you have an account, please sign in.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Similar Content

    • By progroman
      450.00 руб
      Скачать/Купить дополнение


      Определение города по IP (Geo IP)
      Модуль определяет город по IP-адресу либо пользователь выбирает его вручную.
      Автоматически заполняются поля Страна, Регион, Город, Индекс (не для всех) при регистрации и оформлении заказа, избавляя пользователя от ручного ввода.
      Геосообщения - возможность выводить разный текст или html для городов и регионов (см. скриншоты и FAQ)
      Редиректы - в зависимости от города модуль может перебрасывать пользователя на нужный поддомен и URL.
      Для всех стран можно задать свою валюту, она будет автоматически выставляться при определении по IP.
       
      Модуль содержит базу населенных пунктов России (ФИАС), Украины, Белоруссии, Казахстана на русском языке.
      Определение по IP работает для России, Украины, Белоруссии и Казахстана с точностью до города для других стран с точностью до страны.
      Модуль русскоязычный, автор не гарантирует 100%-ю работу модуля для других языков.
      Настройка редиректов, геосообщений и групп покупателей возможна только для указанных выше стран.
       
      Модуль работает не делает запросы на сторонние сервисы, за счёт чего скорость определения города гораздо выше.
       
      Прежде, чем купить, посмотрите расширенную версию модуля - GeoIP Pro! 

       
      Лицензия
      Модуль работает по лицензии (один домен + его поддомены), выдается по запросу личным сообщением с темой "Лицензия GeoIP", обязательно указывайте адрес вашего сайта!
       
      Дополнительные лицензии на другие домены можно оплатить через Яндекс.Деньги или переводом на карту Сбербанка, стоимость второй и последующих лицензий при оплате указанными способами - 350 рублей.
       
      Если одна админка на несколько сайтов с разными адресами, ключи можно прописать через разделитель |
       
      Важно! Удаление или перенос лицензии на другой домен невозможно! Это уже другая лицензия, которая покупается отдельно.
       
      Установка
      Скачайте архив, подходящий под вашу версию OpenCart, OcStore и т.д. Следуйте инструкции в архиве Инструкция.txt.
       
      Поддержка
      Перед обращением в поддержку обязательно прочитайте FAQ на этой странице.
      При обращении за тех. поддержкой обязательно указывайте адрес сайта, версию Opencart и PHP.
       
      Услуги автора
      Установка модуля и/или адаптация под тему - 1000 руб., оплата через Яндекс.Деньги, карта Сбербанка.
       
      Демо
      OpenCart 1.5
      http://opencart.progroman.ru/demo/geoip/
      Админка (demo / demo)
      http://opencart.progroman.ru/demo/geoip/admin/index.php?route=module/geoip
       
      OpenCart 2
      http://opencart.progroman.ru/demo/1/
      Админка (demo / demo)
      http://opencart.progroman.ru/demo/1/admin/index.php?route=module/geoip
       
       
       
       
      Добавил progroman Добавлено 31.01.2013 Категория Модули Системные требования PHP 5.6, ionCube Loader версии 10 и выше, vqmod (только для Opencart/ocStore 1.5) Сайт разработчика Старая цена Метод активации По запросу в ЛС Ioncube Loader Требуется OpenCart 3.0
      2.3
      2.2
      2.1
      2.0
      1.5.6.4
      1.5.6.3
      1.5.6.2
      1.5.6.1
      1.5.6
      1.5.4.1
      1.5.3.1 ocStore 3.0
      2.3
      2.2
      2.1
      1.5.5.1.2
      1.5.5.1.1
      1.5.5.1
      1.5.4.1.2
      1.5.4.1.1
      1.5.4.1
      1.5.3.1
      1.5.2.1
      1.5.1.3 OpenCart.Pro, ocShop Opencart.pro 2.3
      Opencart.pro 2.1
      OcShop 2.0.3.х
      OcShop 1.5.6.4.х Обращение к серверу разработчика Нет  
  • Recently Browsing   0 members

    No registered users viewing this page.

×

Important Information

On our site, cookies are used and personal data is processed to improve the user interface. To find out what and what personal data we are processing, please go to the link. If you click "I agree," it means that you understand and accept all the conditions specified in this Privacy Notice.